Security Enhanced Linux Reference Policy

# Layer: services

## Module: courier

Interfaces Templates

### Description:

Courier IMAP and POP3 email servers

### Interfaces:

courier_domtrans_authdaemon( prefix )

##### Summary

Execute the courier authentication daemon with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
prefix | Domain allowed access.

courier_domtrans_pop( prefix )

##### Summary

Execute the courier POP3 and IMAP server with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
prefix | Domain allowed access.

courier_manage_spool_dirs( prefix )

##### Summary

Create, read, write, and delete courier spool directories.

##### Parameters

Parameter: | Description:
--- | ---
prefix | Domain allowed access.

courier_manage_spool_files( prefix )

##### Summary

Create, read, write, and delete courier spool files.

##### Parameters

Parameter: | Description:
--- | ---
prefix | Domain allowed access.

courier_read_config( prefix )

##### Summary

Read courier config files

##### Parameters

Parameter: | Description:
--- | ---
prefix | Domain allowed access.

courier_rw_spool_pipes( domain )

##### Summary

Read and write to courier spool pipes.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

Return

### Templates:

courier_domain_template( prefix )

##### Summary

Template for creating courier server processes.

##### Parameters

Parameter: | Description:
--- | ---
prefix | Prefix name of the server process.

Return